> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicoflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Brain Feeds Events



## OpenAPI

````yaml /api/openapi.json post /api/brain/feeds/{key}/events
openapi: 3.1.0
info:
  title: AICO API
  description: API for managing AI-powered voice agents, flows, tools, telephony, and more.
  version: 1.0.0
servers: []
security:
  - bearer: []
tags:
  - name: API Keys
  - name: Admin
  - name: Assets
  - name: Audit
  - name: Billing
  - name: Brain
  - name: Calls
  - name: Channels
  - name: Datasets
  - name: Flows
  - name: Inference
  - name: Integrations
  - name: Knowledge
  - name: LLM
  - name: Monitoring
  - name: Notifications
  - name: Organizations
  - name: Plugins
  - name: Providers
  - name: Reporting
  - name: System
  - name: Telephony
  - name: Tools
  - name: Web
  - name: _hello
paths:
  /api/brain/feeds/{key}/events:
    post:
      tags:
        - Brain
      summary: Create Brain Feeds Events
      operationId: create_brain_feeds_events
      parameters:
        - schema:
            type: string
          in: path
          name: key
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              def:
                type: object
                shape:
                  events:
                    def:
                      type: array
                      element:
                        def:
                          type: record
                          keyType:
                            def:
                              type: string
                            type: string
                          valueType:
                            def:
                              type: unknown
                            type: unknown
                        type: record
                        keyType:
                          def:
                            type: string
                          type: string
                        valueType:
                          def:
                            type: unknown
                          type: unknown
                      checks:
                        - {}
                        - {}
                    type: array
                    element:
                      def:
                        type: record
                        keyType:
                          def:
                            type: string
                          type: string
                        valueType:
                          def:
                            type: unknown
                          type: unknown
                      type: record
                      keyType:
                        def:
                          type: string
                        type: string
                      valueType:
                        def:
                          type: unknown
                        type: unknown
              type: object
          multipart/form-data:
            schema:
              def:
                type: object
                shape:
                  events:
                    def:
                      type: array
                      element:
                        def:
                          type: record
                          keyType:
                            def:
                              type: string
                            type: string
                          valueType:
                            def:
                              type: unknown
                            type: unknown
                        type: record
                        keyType:
                          def:
                            type: string
                          type: string
                        valueType:
                          def:
                            type: unknown
                          type: unknown
                      checks:
                        - {}
                        - {}
                    type: array
                    element:
                      def:
                        type: record
                        keyType:
                          def:
                            type: string
                          type: string
                        valueType:
                          def:
                            type: unknown
                          type: unknown
                      type: record
                      keyType:
                        def:
                          type: string
                        type: string
                      valueType:
                        def:
                          type: unknown
                        type: unknown
              type: object
          text/plain:
            schema:
              def:
                type: object
                shape:
                  events:
                    def:
                      type: array
                      element:
                        def:
                          type: record
                          keyType:
                            def:
                              type: string
                            type: string
                          valueType:
                            def:
                              type: unknown
                            type: unknown
                        type: record
                        keyType:
                          def:
                            type: string
                          type: string
                        valueType:
                          def:
                            type: unknown
                          type: unknown
                      checks:
                        - {}
                        - {}
                    type: array
                    element:
                      def:
                        type: record
                        keyType:
                          def:
                            type: string
                          type: string
                        valueType:
                          def:
                            type: unknown
                          type: unknown
                      type: record
                      keyType:
                        def:
                          type: string
                        type: string
                      valueType:
                        def:
                          type: unknown
                        type: unknown
              type: object
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Logto JWT access token

````